/* =======================================
   Footer 区域（无固定高度）
======================================= */
.footer-section {
  position: relative;
  color: #fff;
  padding: 60px 0 30px;
}
.footer-section .cookie{
    position: fixed;
    width: 600px;
    z-index: 99;
    right: 5%;
    bottom: 5%;
    padding: 30px;
    border-radius: 30px;
       background: rgba(0, 0, 0, 0.6);
       
       display: none;
}
.footer-section .cookie .info{
    margin-top: 10px;
}
.footer-section .cookie .btn-more{
    gap: 20px;
    justify-content: flex-end;
}
.footer-section .cookie .btn-more a{
    padding-top: 10px;
    padding-bottom: 10px;
    background: transparent;
    
    border:1px solid #fff;
    color: #fff;
}
.footer-section .cookie .btn-more a:hover{
    background: var(--textColor);
      border-color:var(--textColor);
    clear: #fff;
}
.footer-section .wrap_1800 {
  border-radius: 30px;
  height: 100%;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  top: 0;
  background: #121212;
}
.footer-section .footer-top {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 60px;
  margin-bottom: 40px;
}
.footer-section .footer-top .flex1 {
  flex: 1;
  display: flex;
  flex-wrap: wrap;
  gap: 60px;

}
.footer-section .footer-top .flex1:nth-child(2){
      justify-content: flex-end;
}
.footer-section .footer-col {
  flex:  0 0 auto;
}
.footer-section .footer-col h4 {
  color: rgba(255, 255, 255, 0.5);
}
.footer-section .footer-col ul {
  list-style: none;
}
.footer-section .footer-col li {
  color: #fff;
  margin-top: 6px;
}
.footer-section .footer-col li:first-child {
  margin-top: 0;
}
.footer-section .footer-col a {
  color: #fff;
  text-decoration: none;
  transition: all 0.3s linear;
}
.footer-section .footer-col a:hover {
  color: var(--textColor);
}
.footer-section .qrcode-group {
  display: flex;
  gap: 40px;
  flex-wrap: wrap;
}
.footer-section .form {
  display: flex;
  position: relative;
  width: 460px;
}
.footer-section .form input {
  width: 100%;
  height: 70px;
  background-color: transparent;
  border: none;
  border-bottom: 1px solid rgba(255, 255, 255, 0.2);
  color: #fff;
  transition: all 0.3s linear;
}
.footer-section .form input:focus{
    box-shadow: none;
}
.footer-section .form input::placeholder {
  color: #fff;
  opacity: 1;
}
.footer-section .form input:-ms-input-placeholder {
  color: #fff;
  opacity: 1;
}
.footer-section .form input::-moz-placeholder {
  color: #fff;
  opacity: 1;
}
.footer-section .form input::-webkit-input-placeholder {
  color: #fff;
  opacity: 1;
}
.footer-section .form:hover input {
  border-color: #fff;
}
.footer-section .form .sub {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  display: flex;
  align-items: center;
  z-index: 2;
  border: none;
  background: transparent;
  color: #fff;
}
.footer-section .form .sub svg {
  width: 16px;
  margin-left: 8px;
  transition: all 0.3s linear;
}
.footer-section .form .sub:hover svg {
  transform: translateX(4px);
}
.footer-section .qrcode-item img {
  width: 140px;
  height: 140px;
  background-color: #fff;
  border-radius: 10px;
  display: block;
}
.footer-section .qrcode-item p {
  color: rgba(255, 255, 255, 0.5);
  font-size: 12px;
  margin-top: 15px;
  text-align: center;
}
.footer-section .footer-social {
  display: flex;
  gap: 16px;
}
.footer-section .social-icon {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #fff;
  text-decoration: none;
}
.footer-section .social-icon img {
  max-width: 100%;
  width:90%;
  filter: brightness(0) invert(1);
  opacity: 0.6;
  transition: all 0.3s linear;
}
.footer-section .social-icon:hover img{
      filter:none;
      opacity: 1;
}
.footer-section .footer-bottom {
  display: flex;
  justify-content: space-between;
  padding-top: 30px;
  border-top: 1px solid rgba(255, 255, 255, 0.1);
  flex-wrap: wrap;
  gap: 20px;
  color: rgba(255, 255, 255, 0.5);
}
.footer-section .footer-bottom a {
  color: rgba(255, 255, 255, 0.5);
  transition: all 0.2s linear;
}
.footer-section .footer-bottom a:hover {
  color: var(--textColor);
}
.footer-section .footer-links {
  display: flex;
  gap: 30px;
}
@media only screen and (max-width: 1600px) {
  .footer-section .qrcode-group {
    gap: 20px;
  }
  .footer-section .form input {
    height: 60px;
  }
  .footer-section .form {
    width: 400px;
  }
  .footer-section .qrcode-item img {
    width: 120px;
    height: 120px;
  }
  .footer-section .cookie{
      padding: 20px;
  }
}
@media only screen and (max-width: 1366px) {
  .footer-section .form {
    width: 380px;
  }
  .footer-section .qrcode-item img {
    width: 100px;
    height: 100px;
    margin:auto;
  }
  .footer-section .footer-top .flex1:nth-child(1){
      flex: 0 0 auto;
  }
}
@media only screen and (max-width: 768px) {
    .footer-section .cookie{
        width: 90%;
        
    }
    .footer-section .footer-top .flex1{
        gap: 0;
    }
    .footer-section .footer-top{
        gap: 0;
    }
    .footer-section .footer-col{
        margin-top: 6vw;
    }
    .footer-section .footer-col li{
        text-align: center;
    }
    .footer-section  .wrap{
        width: 80%;
    }
    .footer-section .footer-top .flex1:nth-child(1){
        flex: 0 0 100%;
    }
     .footer-section .footer-bottom .bei{
             text-align: center;
     }
    .footer-section .footer-bottom .bei a{
             display: block;
        text-align: center;
    }
  .footer-section .footer-col h4 {
    text-align: center;
  }
  .footer-section .form {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
  }
  .footer-section .footer-social {
    justify-content: center;
    gap: 10px;
  }
  .footer-section .form input {
    height: 40px;
  }
  .footer-section .footer-col {
    flex: 0 0 100%;
  }
  .footer-section .qrcode-group {
    justify-content: center;
  }
  .footer-section .footer-links {
    flex-wrap: wrap;
    justify-content: center;
    margin: auto;
    gap: 10px;
  }
}
